using System.Collections.ObjectModel;
using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.Priority;

public class Record
{

    [JsonConstructor]
    public Record(
        string json,
        int id,
        string page,
        string queryString,
        string remoteIpAddress,
        long time,
        int value
    )
    {
        Json = json;
        Id = id;
        Page = page;
        QueryString = queryString;
        RemoteIpAddress = remoteIpAddress;
        Time = time;
        Value = value;
    }

    [JsonPropertyName("Json")] public string Json { get; }
    [JsonPropertyName("id")] public int Id { get; }
    [JsonPropertyName("page")] public string Page { get; }
    [JsonPropertyName("QueryString")] public string QueryString { get; }
    [JsonPropertyName("RemoteIpAddress")] public string RemoteIpAddress { get; }
    [JsonPropertyName("time")] public long Time { get; }
    [JsonPropertyName("value")] public int Value { get; }

}