using System.Collections.ObjectModel;

namespace Adaptation.FileHandlers.json.WorkItems;

public class Record
{

#nullable enable

    public Record(WorkItem workItem, WorkItem? parent, ReadOnlyCollection<Record> children)
    {
        WorkItem = workItem;
        Parent = parent;
        Children = children;
    }

    public WorkItem WorkItem { get; set; }
    public WorkItem? Parent { get; set; }
    public ReadOnlyCollection<Record> Children { get; set; }

}