using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.json.WorkItems;

public class Relation
{

#nullable enable

    [JsonConstructor]
    public Relation(string rel,
                    string url,
                    Attribute attributes)
    {
        Rel = rel;
        URL = url;
        Attributes = attributes;
    }

    [JsonPropertyName("attributes")] public Attribute Attributes { get; set; }
    [JsonPropertyName("rel")] public string Rel { get; set; }
    [JsonPropertyName("url")] public string URL { get; set; }

}